Subject: bug#40692: 28.0.50; Constant list modified inside function

From: Michael Heerdegen <[email-masked]>
Date: Sun, 19 Apr 2020 00:49:02 +0200

Štěpán Němec <[email-masked]> writes:

> > Now, I understand reference semantics of lists in general, but it
> > seems like this should be different. If this behavior is intentional,
>
> I think it is, although I admit I was confused by it, too, as I've
> somehow come to believe that e.g. `(list) macroexpands to (list 'list),
> but that's not the case: it expands to '(list).

Yes, I had been bitten by this as well some time ago.  I don't find the
discussion anymore, I had asked somewhere and the answer was that it's
an intended feature of backquote to produce an expansion like that.

Michael.